Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds
Interface SchemaAttribute

public interface SchemaAttribute

Defines the attribute types and constraints (flags).

Each attribute may have one or more constraints (attribute flags) that restrict the attribute value. An attribute definition includes:

- Syntax ID - An integer used to identify attribute values.
- Lower Limit - The lower limit value for the attribute.
- Upper Limit - The upper limit value for the attribute.
- ASN1Name - The unique identifier for the attribute definition.

Field Summary
`static java.lang.String` | `ATTR_ASN1NAME` The unique identifier for the class definition based on the international standard for representing data types and structures.
`static java.lang.String` | `ATTR_FLAGS` Represents the flags attribute ID for attribute definitions.
`static java.lang.String` | `ATTR_LOWER_LIMIT` The lower limit for the attribute value.
`static java.lang.String` | `ATTR_SYNTAX_ID` An integer used to identify attribute values.
`static java.lang.String` | `ATTR_UPPER_LIMIT` The upper limit for the attribute value.
`static int` | `DS_HIDDEN_ATTR` Constant that constrains the client from modifying the attribute because it is for NDS server use only.
`static int` | `DS_NONREMOVABLE_ATTR` Constant that constrains the attribute from being removed from an object class definition.
`static int` | `DS_PER_REPLICA` Constant that constrains the attribute so that attribute information is not synchronized on other replicas.
`static int` | `DS_PUBLIC_READ` Constant that places a constraint on the attribute so that anyone can read the attribute without read privileges being assigned.
`static int` | `DS_READ_ONLY_ATTR` Constant that constrains the user from modifying the attribute because a name server has created the attribute and must maintain it.
`static int` | `DS_SERVER_READ` Constant that constrains the attribute so that the Server class objects can read the attribute even though the privilege to read has not been inherited or explicitly granted.
`static int` | `DS_SINGLE_VALUED_ATTR` Constant that constrains the attribute to a single value only with no order implied.
`static int` | `DS_SIZED_ATTR` Constant that constrains the attribute to an upper and a lower bound.
`static int` | `DS_STRING_ATTR` Constant that constrains the attribute to a String type so it can be used as a naming attribute.
`static int` | `DS_SYNC_IMMEDIATE` Constant that constrains the synchronization of modifications to an attribute with other replicas containing the object to take place immediately rather than at the next synchronization interval.
`static int` | `DS_WRITE_MANAGED` Constant that constrains the users so that they must have managed rights on the object that contains the attribute before changing the attribute's value.

Field Detail

### ATTR_FLAGS

    public static final java.lang.String ATTR_FLAGS

  Represents the flags attribute ID for attribute definitions. The flags attribute constant contains a value that is a combination of the following constraints that restrict the attribute value:
  - DS_HIDDEN_ATTR
  - DS_NONREMOVABLE_ATTR
  - DS_READ_ONLY_ATTR
  - DS_PUBLIC_READ
  - DS_SERVER_READ
  - DS_PER_REPLICA
  - DS_SYNC_IMMEDIATE
  - DS_STRING_ATTR
  - DS_SIZED_ATTR
  - DS_SINGLE_VALUED_ATTR

    (ATTR_FLAGS = "Flags")

### ATTR_SYNTAX_ID

    public static final java.lang.String ATTR_SYNTAX_ID

  An integer used to identify attribute values.

  This is a String constant for attribute names.

  (ATTR_SYNTAX_ID = "Syntax ID")

### ATTR_LOWER_LIMIT

    public static final java.lang.String ATTR_LOWER_LIMIT

  The lower limit for the attribute value.

  This is a String constant for attribute names, and is only valid when the SIZED flag is set.

  (ATTR_LOWER_LIMIT = "Lower Limit")

### ATTR_UPPER_LIMIT

    public static final java.lang.String ATTR_UPPER_LIMIT

  The upper limit for the attribute value.

  This is a String constant for attribute names, and is only valid when the SIZED flag is set.

  (ATTR_UPPER_LIMIT = "Upper Limit")

### ATTR_ASN1NAME

    public static final java.lang.String ATTR_ASN1NAME

  The unique identifier for the class definition based on the international standard for representing data types and structures.

  The ASN.1 name, which is a String constant for attribute names provides a machine-independent syntax for specifying application layer protocols and information on open systems.

  (ATTR_ASN1NAME = "ASN1Name")

### DS_SINGLE_VALUED_ATTR

    public static final int DS_SINGLE_VALUED_ATTR

  Constant that constrains the attribute to a single value only with no order implied.

  (DS_SINGLE_VALUED_ATTR = NetJNI.DS_SINGLE_VALUED_ATTR)

### DS_SIZED_ATTR

    public static final int DS_SIZED_ATTR

  Constant that constrains the attribute to an upper and a lower bound.

  This can be the length for strings or the value for integers.

  (DS_SIZED_ATTR = NetJNI.DS_SIZED_ATTR)

### DS_NONREMOVABLE_ATTR

    public static final int DS_NONREMOVABLE_ATTR

  Constant that constrains the attribute from being removed from an object class definition.

  The client cannot set or modify this constraint flag, and thus cannot modify the attribute.

  (DS_NONREMOVABLE_ATTR = NetJNI.DS_NONREMOVABLE_ATTR)

### DS_READ_ONLY_ATTR

    public static final int DS_READ_ONLY_ATTR

  Constant that constrains the user from modifying the attribute because a name server has created the attribute and must maintain it.

  (DS_READ_ONLY_ATTR = NetJNI.DS_READ_ONLY_ATTR)

### DS_HIDDEN_ATTR

    public static final int DS_HIDDEN_ATTR

  Constant that constrains the client from modifying the attribute because it is for NDS server use only.

  The client cannot set or modify this constraint flag, and thus cannot see or modify the attribute.

  (DS_HIDDEN_ATTR = NetJNI.DS_HIDDEN_ATTR)

### DS_STRING_ATTR

    public static final int DS_STRING_ATTR

  Constant that constrains the attribute to a String type so it can be used as a naming attribute.

  (DS_STRING_ATTR = NetJNI.DS_STRING_ATTR)

### DS_SYNC_IMMEDIATE

    public static final int DS_SYNC_IMMEDIATE

  Constant that constrains the synchronization of modifications to an attribute with other replicas containing the object to take place immediately rather than at the next synchronization interval.

  (DS_SYNC_IMMEDIATE = NetJNI.DS_SYNC_IMMEDIATE)

### DS_PUBLIC_READ

    public static final int DS_PUBLIC_READ

  Constant that places a constraint on the attribute so that anyone can read the attribute without read privileges being assigned.

  With this constraint set, inheritance masks cannot be used to prevent an object from reading attributes.

  (DS_PUBLIC_READ = NetJNI.DS_PUBLIC_READ)

### DS_SERVER_READ

    public static final int DS_SERVER_READ

  Constant that constrains the attribute so that the Server class objects can read the attribute even though the privilege to read has not been inherited or explicitly granted.

  Inheritance masks cannot be used to restrict servers from reading attributes with this constraint set. The client cannot set or modify this constraint flag, and thus cannot modify the attribute.

  (DS_SERVER_READ = NetJNI.DS_SERVER_READ)

### DS_WRITE_MANAGED

    public static final int DS_WRITE_MANAGED

  Constant that constrains the users so that they must have managed rights on the object that contains the attribute before changing the attribute's value.

  (DS_WRITE_MANAGED = NetJNI.DS_WRITE_MANAGED)

### DS_PER_REPLICA

    public static final int DS_PER_REPLICA

  Constant that constrains the attribute so that attribute information is not synchronized on other replicas.

  The client cannot set or modify this constraint flag, and thus cannot modify the attribute.

  (DS_PER_REPLICA = NetJNI.DS_PER_REPLICA)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD